# std::ranges::slide_view<V>::iterator<Const>::operator*

From cppreference.com
< cpp‎ | ranges‎ | slide view‎ | iterator

constexpr auto operator*() const; |  | (since C++23)

Returns the current element in the `slide_view`.

Let `current_` and `n_` be the underlying data members. Equivalent to: return views::counted (current_, n_).

### Parameters

(none)

### Return value

The current element, which is an object of `value_type`.

### Example

| This section is incomplete Reason: no example

### See also

operator[] (C++23) | accesses an element by index (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/ranges/slide_view/iterator/operator*&oldid=151547"